### Type parameters

- #### T = unknown

- #### TReturn = any

- #### TNext = unknown

### Hierarchy

- AsyncIterator<T, TReturn, TNext>
  - AsyncGenerator

## Index

### Methods

- [asyncIterator]
- next
- return
- throw

## Methods

### [asyncIterator]

- [asyncIterator](): AsyncGenerator<T, TReturn, TNext>

- #### Returns AsyncGenerator<T, TReturn, TNext>

### next

- next(...args: [] | [TNext]): Promise<IteratorResult<T, TReturn>>

- Overrides AsyncIterator.next

  #### Parameters

  - ##### Rest ...args: [] | [TNext]

  #### Returns Promise<IteratorResult<T, TReturn>>

### return

- return(value: TReturn | PromiseLike<TReturn>): Promise<IteratorResult<T, TReturn>>

- Overrides AsyncIterator.return

  #### Parameters

  - ##### value: TReturn | PromiseLike<TReturn>

  #### Returns Promise<IteratorResult<T, TReturn>>

### throw

- throw(e: any): Promise<IteratorResult<T, TReturn>>

- Overrides AsyncIterator.throw

  #### Parameters

  - ##### e: any

  #### Returns Promise<IteratorResult<T, TReturn>>

Generated using TypeDoc